#
# Because many Unix users are used to type 'make' in order to install
# a software.
#
all : 
	gcc -o install install.c
	./install
	/bin/rm -f ./install

interactive : ./bin_c/compile_to_c.h
	gcc -o install install.c
	./install -interactive
	/bin/rm -f ./install

clean :
	echo "Removing all executable tools..."
	/bin/rm -f bin/compile
	/bin/rm -f bin/compile_to_c
	/bin/rm -f bin/clean
	/bin/rm -f bin/compile_to_jvm
	/bin/rm -f bin/finder
	/bin/rm -f bin/pretty
	/bin/rm -f bin/print_jvm_class
	/bin/rm -f bin/short
	/bin/rm -f bin/pretty
	/bin/rm -f bin/ace_check

elate : ./bin_c/compile_to_c.h
	vpcc -o install install.c
	./install -interactive
	/bin/rm -f ./install

openvms : [bin_c]compile_to_c.h
	cc/warning=disable=(embedcomment,longextern) install
	link/exe=install
	mcr install -debug -interactive
	delete install;
